tilde.town code of conduct
==========================

**tl;dr**: Be kind to each other. Think carefully about the words you
use. Think carefully about what content you post and promote.

1. Purpose
----------

A primary goal of tilde.town is to be inclusive to the largest number of
community members, with the most varied and diverse backgrounds
possible. As such, we are committed to providing a friendly, safe and
welcoming environment for all, regardless of gender, sexual orientation,
ability, ethnicity, socioeconomic status, and religion (or lack
thereof).

This code of conduct outlines our expectations for all those who
participate in our community, as well as the consequences for
unacceptable behavior.

We invite all those who participate in tilde.town to help create safe
and positive experiences for everyone.

2. Vision of tilde.town
-----------------------

**tilde.town exists to provide a safe, non-judgemental, and fun place to
explore creative projects and to seek intentional digital community.**

In a post-facebook age, it is up to small communities to gather and work
together to provide a space outside of the advertising-laden, corporate
mediated world of social media.

To that end, tilde.town strives to be a radically inclusive community
where people of all backgrounds and all technological experience levels
can come together for peer education, to delight in one another's
creations and to make good conversation.

3. Expected Behavior
--------------------

-   Participate in an authentic and active way. In doing so, you
    contribute to the health and longevity of tilde.town.
-   Exercise consideration and respect in your speech and actions.
-   Attempt collaboration before conflict.
-   Refrain from demeaning, discriminatory, or harassing behavior and
    speech.
-   If anyone asks you to stop a particular kind of behavior, always err
    on the side of respecting their wishes. If you believe their request
    is unreasonable or unfair, ask an admin, but don't respond with
    hostility.
-   Be mindful of your surroundings and of your fellow participants.
    Alert community leaders if you notice a dangerous situation, someone
    in distress, or violations of this code of conduct, even if they
    seem inconsequential.

4. Unacceptable Behavior
------------------------

Unacceptable behaviors include: intimidating, harassing, abusive,
discriminatory, derogatory or demeaning speech or actions by any
tilde.town user online, at any related events, or in one-on-one
communication carried out in the conduct of tilde.town related projects.
Community event venues--physical or digital--may be shared with members
of the public; please be respectful to all patrons of these locations.

Harassment includes: harmful or prejudicial verbal or written comments
related to gender, sexual orientation, race, religious choices,
disability; inappropriate use of nudity and/or sexual images in public
spaces (like your \~ html pages); deliberate intimidation, stalking, or
following; harassing recording; sustained disruption of the work of
others; and unwelcome sexual attention.

5. Consequences of Unacceptable Behavior
----------------------------------------

Unacceptable behavior from any community member, including those with
decision making authority or sudo, will not be tolerated.

Anyone asked to stop unacceptable behavior is expected to comply immediately.
If a community member engages in unacceptable behavior, the tilde.town admins
may take any action they deem appropriate, up to and including a temporary ban
or permanent expulsion from tilde.town (meaning your user account would be
revoked) without warning.

6. If You Witness or Are Subject to Unacceptable Behavior
---------------------------------------------------------

If you are subject to or witness unacceptable behavior, or have any
other concerns, please see the Contact Information section below.

Additionally, help engaging with law enforcement is always available.

7. Addressing Grievances
------------------------

If you feel you have been falsely or unfairly accused of violating this
code of conduct, use the Contact Information section below to send a
concise description of your grievance.

8. Scope
--------

We expect all tilde.town members to abide by this code of conduct while:

-   engaging with other users locally on the server
-   publishing content hosted on tilde.town
-   engaging in community activities, whether in meatspace or cyberspace

9. Contact Information
----------------------

Tilde.town admin:

- [~vilmibm](http://tilde.town/~vilmibm)
  &#9993; <tildetown@protonmail.ch>

Volunteer / part-time admins:

- [~datagrok](http://tilde.town/~datagrok)
  &#9993; <mike@datagrok.org>
  Twitter: [@datagrok](http://twitter.com/datagrok)

Admins can be reached privately:

- on IRC using `/msg vilmibm hello`
- via local tilde.town email, e.g. `vilmibm@tilde.town`
- or via normal internet e-mail at the addresses listed above.

10. License and Attribution
---------------------------

This code of conduct is based on
[citizencodeofconduct.org](http://citizencodeofconduct.org/) under the
terms of the [Creative Commons Attribution-ShareAlike
license](http://creativecommons.org/licenses/by-sa/3.0/).

